librevenge::RVNGSVGDrawingGeneratorPrivate Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
librevenge::RVNGSVGDrawingGeneratorPrivate Struct Reference

## Public Member Functions
| RVNGSVGDrawingGeneratorPrivate (RVNGStringVector &vec, const RVNGString &nmSpace)
void | setStyle (const RVNGPropertyList &propList)
void | writeStyle (bool isClosed=true)
void | drawPolySomething (const RVNGPropertyListVector &vertices, bool isClosed)
std::string const & | getNamespaceAndDelim () const
| return the namespace and the delimiter

## Public Attributes
std::map< int, RVNGPropertyList > | m_idSpanMap
RVNGPropertyListVector | m_gradient
RVNGPropertyList | m_style
int | m_gradientIndex
int | m_shadowIndex
int | m_patternIndex
| index uses when fill=bitmap
int | m_arrowStartIndex
| start arrow index
int | m_arrowEndIndex
| end arrow index
int | m_groupId
| groupId used if svg:id is not defined when calling openGroup
int | m_layerId
| layerId used if svg:id is not defined when calling startLayer
std::string | m_nmSpace
| a prefix used to define the svg namespace
std::string | m_nmSpaceAndDelim
| a prefix used to define the svg namespace with delimiter
std::ostringstream | m_outputSink
RVNGStringVector & | m_vec
RVNGString | m_masterName
| the actual master name
std::map< RVNGString, std::string > | m_masterNameToContentMap
| a map master name to master content
std::shared_ptr< Table > | m_table
| the actual opened table

## Constructor & Destructor Documentation

## ◆ RVNGSVGDrawingGeneratorPrivate()

librevenge::RVNGSVGDrawingGeneratorPrivate::RVNGSVGDrawingGeneratorPrivate | ( | RVNGStringVector & | vec,
|  | const RVNGString & | nmSpace
| ) |  |

## Member Function Documentation

## ◆ drawPolySomething()

void librevenge::RVNGSVGDrawingGeneratorPrivate::drawPolySomething | ( | const RVNGPropertyListVector & | vertices,
|  | bool | isClosed
| ) |  |

Referenced by librevenge::RVNGSVGDrawingGenerator::drawPolygon(), and librevenge::RVNGSVGDrawingGenerator::drawPolyline().

## ◆ getNamespaceAndDelim()

std::string const & librevenge::RVNGSVGDrawingGeneratorPrivate::getNamespaceAndDelim | ( |  | ) | const
| inline

return the namespace and the delimiter

Referenced by librevenge::RVNGSVGDrawingGenerator::closeGroup(), librevenge::RVNGSVGDrawingGenerator::closeSpan(), librevenge::RVNGSVGDrawingGenerator::closeTableCell(), librevenge::RVNGSVGDrawingGenerator::drawEllipse(), librevenge::RVNGSVGDrawingGenerator::drawGraphicObject(), librevenge::RVNGSVGDrawingGenerator::drawPath(), drawPolySomething(), librevenge::RVNGSVGDrawingGenerator::drawRectangle(), librevenge::RVNGSVGDrawingGenerator::endLayer(), librevenge::RVNGSVGDrawingGenerator::endPage(), librevenge::RVNGSVGDrawingGenerator::endTextObject(), librevenge::RVNGSVGDrawingGenerator::openGroup(), librevenge::RVNGSVGDrawingGenerator::openSpan(), librevenge::RVNGSVGDrawingGenerator::openTableCell(), setStyle(), librevenge::RVNGSVGDrawingGenerator::startLayer(), librevenge::RVNGSVGDrawingGenerator::startPage(), and librevenge::RVNGSVGDrawingGenerator::startTextObject().

## ◆ setStyle()

void librevenge::RVNGSVGDrawingGeneratorPrivate::setStyle | ( | const RVNGPropertyList & | propList | ) |

Referenced by librevenge::RVNGSVGDrawingGenerator::setStyle().

## ◆ writeStyle()

void librevenge::RVNGSVGDrawingGeneratorPrivate::writeStyle | ( | bool | isClosed = `true` | ) |

Referenced by librevenge::RVNGSVGDrawingGenerator::drawEllipse(), librevenge::RVNGSVGDrawingGenerator::drawPath(), drawPolySomething(), and librevenge::RVNGSVGDrawingGenerator::drawRectangle().

## Member Data Documentation

## ◆ m_arrowEndIndex

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_arrowEndIndex

end arrow index

Referenced by setStyle(), and writeStyle().

## ◆ m_arrowStartIndex

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_arrowStartIndex

start arrow index

Referenced by setStyle(), and writeStyle().

## ◆ m_gradient

RVNGPropertyListVector librevenge::RVNGSVGDrawingGeneratorPrivate::m_gradient

Referenced by setStyle().

## ◆ m_gradientIndex

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_gradientIndex

Referenced by setStyle(), and writeStyle().

## ◆ m_groupId

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_groupId

groupId used if svg:id is not defined when calling openGroup

Referenced by librevenge::RVNGSVGDrawingGenerator::openGroup().

## ◆ m_idSpanMap

std::map<int, RVNGPropertyList> librevenge::RVNGSVGDrawingGeneratorPrivate::m_idSpanMap

Referenced by librevenge::RVNGSVGDrawingGenerator::defineCharacterStyle(), and librevenge::RVNGSVGDrawingGenerator::openSpan().

## ◆ m_layerId

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_layerId

layerId used if svg:id is not defined when calling startLayer

Referenced by librevenge::RVNGSVGDrawingGenerator::startLayer().

## ◆ m_masterName

RVNGString librevenge::RVNGSVGDrawingGeneratorPrivate::m_masterName

the actual master name

Referenced by librevenge::RVNGSVGDrawingGenerator::endMasterPage(), and librevenge::RVNGSVGDrawingGenerator::startMasterPage().

## ◆ m_masterNameToContentMap

std::map<RVNGString, std::string> librevenge::RVNGSVGDrawingGeneratorPrivate::m_masterNameToContentMap

a map master name to master content

Referenced by librevenge::RVNGSVGDrawingGenerator::endMasterPage(), and librevenge::RVNGSVGDrawingGenerator::startPage().

## ◆ m_nmSpace

std::string librevenge::RVNGSVGDrawingGeneratorPrivate::m_nmSpace

a prefix used to define the svg namespace

Referenced by RVNGSVGDrawingGeneratorPrivate(), and librevenge::RVNGSVGDrawingGenerator::startPage().

## ◆ m_nmSpaceAndDelim

std::string librevenge::RVNGSVGDrawingGeneratorPrivate::m_nmSpaceAndDelim

a prefix used to define the svg namespace with delimiter

Referenced by getNamespaceAndDelim(), and RVNGSVGDrawingGeneratorPrivate().

## ◆ m_outputSink

std::ostringstream librevenge::RVNGSVGDrawingGeneratorPrivate::m_outputSink

Referenced by librevenge::RVNGSVGDrawingGenerator::closeGroup(), librevenge::RVNGSVGDrawingGenerator::closeSpan(), librevenge::RVNGSVGDrawingGenerator::closeTableCell(), librevenge::RVNGSVGDrawingGenerator::drawEllipse(), librevenge::RVNGSVGDrawingGenerator::drawGraphicObject(), librevenge::RVNGSVGDrawingGenerator::drawPath(), drawPolySomething(), librevenge::RVNGSVGDrawingGenerator::drawRectangle(), librevenge::RVNGSVGDrawingGenerator::endLayer(), librevenge::RVNGSVGDrawingGenerator::endMasterPage(), librevenge::RVNGSVGDrawingGenerator::endPage(), librevenge::RVNGSVGDrawingGenerator::endTextObject(), librevenge::RVNGSVGDrawingGenerator::insertLineBreak(), librevenge::RVNGSVGDrawingGenerator::insertSpace(), librevenge::RVNGSVGDrawingGenerator::insertTab(), librevenge::RVNGSVGDrawingGenerator::insertText(), librevenge::RVNGSVGDrawingGenerator::openGroup(), librevenge::RVNGSVGDrawingGenerator::openSpan(), librevenge::RVNGSVGDrawingGenerator::openTableCell(), setStyle(), librevenge::RVNGSVGDrawingGenerator::startLayer(), librevenge::RVNGSVGDrawingGenerator::startPage(), librevenge::RVNGSVGDrawingGenerator::startTextObject(), and writeStyle().

## ◆ m_patternIndex

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_patternIndex

index uses when fill=bitmap

Referenced by setStyle(), and writeStyle().

## ◆ m_shadowIndex

int librevenge::RVNGSVGDrawingGeneratorPrivate::m_shadowIndex

Referenced by setStyle(), and writeStyle().

## ◆ m_style

RVNGPropertyList librevenge::RVNGSVGDrawingGeneratorPrivate::m_style

Referenced by setStyle(), and writeStyle().

## ◆ m_table

std::shared_ptr<Table> librevenge::RVNGSVGDrawingGeneratorPrivate::m_table

the actual opened table

Referenced by librevenge::RVNGSVGDrawingGenerator::closeTableCell(), librevenge::RVNGSVGDrawingGenerator::closeTableRow(), librevenge::RVNGSVGDrawingGenerator::endTableObject(), librevenge::RVNGSVGDrawingGenerator::insertCoveredTableCell(), librevenge::RVNGSVGDrawingGenerator::openTableCell(), librevenge::RVNGSVGDrawingGenerator::openTableRow(), and librevenge::RVNGSVGDrawingGenerator::startTableObject().

## ◆ m_vec

RVNGStringVector& librevenge::RVNGSVGDrawingGeneratorPrivate::m_vec

Referenced by librevenge::RVNGSVGDrawingGenerator::endPage().

The documentation for this struct was generated from the following file:

- RVNGSVGDrawingGenerator.cpp